STOFFFrameStyle Class Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
STOFFFrameStyle Class Reference

Class to store a frame style. More...

`#include <STOFFFrameStyle.hxx>`

## Public Member Functions
| STOFFFrameStyle ()
| constructor More...
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList More...
void | addStyleTo (librevenge::RVNGPropertyList &propList) const
| add style to the propList More...
STOFFPosition | getPosition () const
| return a position corresponding to the current style More...
bool | operator== (STOFFFrameStyle const &frameStyle) const
| operator== More...
bool | operator!= (STOFFFrameStyle const &frameStyle) const
| operator!= More...

## Public Attributes
librevenge::RVNGPropertyList | m_propertyList
| the property list More...
STOFFPosition | m_position
| the position More...
int | m_anchorIndex
| the anchor index: used to relate to find the character related to at_char More...

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFFrameStyle const &frameStyle)
| operator<< More...

## Detailed Description

Class to store a frame style.

## Constructor & Destructor Documentation

## ◆ STOFFFrameStyle()

STOFFFrameStyle::STOFFFrameStyle | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ addStyleTo()

void STOFFFrameStyle::addStyleTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add style to the propList

Referenced by addTo(), and StarObjectSmallGraphicInternal::SdrGraphic::updateStyle().

## ◆ addTo()

void STOFFFrameStyle::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add to the propList

Referenced by STOFFTextListener::_handleFrameParameters(), STOFFSpreadsheetListener::_handleFrameParameters(), STOFFGraphicListener::_handleFrameParameters(), StarItemPool::defineGraphicStyle(), STOFFGraphicListener::insertShape(), STOFFTextListener::insertShape(), STOFFSpreadsheetListener::insertShape(), STOFFGraphicListener::openGroup(), STOFFTextListener::openGroup(), StarObjectTextInternal::Content::send(), StarTableInternal::Table::send(), StarObjectTextInternal::GraphZone::send(), StarObjectTextInternal::OLEZone::send(), and StarTableInternal::TableBox::updatePosition().

## ◆ getPosition()

STOFFPosition STOFFFrameStyle::getPosition | ( |  | ) | const

return a position corresponding to the current style

Referenced by addTo().

## ◆ operator!=()

bool STOFFFrameStyle::operator!= | ( | STOFFFrameStyle const & | frameStyle | ) | const
| inline

operator!=

## ◆ operator==()

bool STOFFFrameStyle::operator== | ( | STOFFFrameStyle const & | frameStyle | ) | const

operator==

Referenced by operator!=().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | STOFFFrameStyle const & | frameStyle
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_anchorIndex

int STOFFFrameStyle::m_anchorIndex

the anchor index: used to relate to find the character related to at_char

Referenced by StarFrameAttribute::StarFAttributeAnchor::addTo(), operator==(), and StarObjectTextInternal::TextZone::send().

## ◆ m_position

STOFFPosition STOFFFrameStyle::m_position

the position

Referenced by StarFrameAttribute::StarFAttributeAnchor::addTo(), StarFrameAttribute::StarFAttributeFrameSize::addTo(), StarFrameAttribute::StarFAttributeOrientation::addTo(), getPosition(), STOFFGraphicListener::insertShape(), STOFFTextListener::insertShape(), STOFFSpreadsheetListener::insertShape(), STOFFGraphicListener::openFooter(), STOFFTextListener::openGroup(), STOFFGraphicListener::openHeader(), STOFFGraphicListener::openTable(), operator==(), SDGParser::parse(), StarTableInternal::Table::send(), StarObjectSmallGraphicInternal::SdrGraphicGroup::send(), StarObjectSmallGraphicInternal::SdrGraphicOLE::send(), StarObjectModel::sendPage(), StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone(), and StarTableInternal::TableBox::updatePosition().

## ◆ m_propertyList

librevenge::RVNGPropertyList STOFFFrameStyle::m_propertyList

the property list

Referenced by addStyleTo(), StarFrameAttribute::StarFAttributeBool::addTo(), StarFrameAttribute::StarFAttributeAnchor::addTo(), StarFrameAttribute::StarFAttributeBrush::addTo(), StarFrameAttribute::StarFAttributeLRSpace::addTo(), StarFrameAttribute::StarFAttributeOrientation::addTo(), StarFrameAttribute::StarFAttributeSurround::addTo(), operator<<(), and operator==().

The documentation for this class was generated from the following files:

- STOFFFrameStyle.hxx
- STOFFFrameStyle.cxx